## mathpiper 0.81f+dfsg1

=== debian/changelog ===
mathpiper (0.81f+dfsg1-1) unstable; urgency=low

  * New upstream version, from SVN revision 4053.
  * Remove watch file, which is not reliable.
  * Use javahelper to build the library instead of relying on its
    build.xml script.
  * Switch from CDBS to debhelper 7.
  * Switch to source package format 3.0 (quilt).

 -- Giovanni Mascellani <gio@debian.org>  Wed, 23 Nov 2011 08:54:20 +0100

mathpiper (0.0.svn2556-3) unstable; urgency=low

  * Add real watch file.
  * Update my email address.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop dependency on JRE, which is not mandated anymore.
  * Fix JAVA_HOME variable in debian/rules (closes: #643538).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 09 Oct 2011 18:05:50 +0200

mathpiper (0.0.svn2556-2) unstable; urgency=low

  * debian/copyright: added missing files
  * debian/watch: placeholder added

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Wed, 11 Nov 2009 00:04:00 +0100

mathpiper (0.0.svn2556-1) unstable; urgency=low

  * Initial release (Closes: #549975)

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Sat, 31 Oct 2009 12:16:54 +0100
