## mathpiper 0.81f+svn4469+dfsg2

=== debian/changelog ===
mathpiper (0.81f+svn4469+dfsg2-1) unstable; urgency=low

  * Add mpreduce code.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 16 Dec 2011 15:09:23 +0100
