=== debian/control ===
Source: mathpiper
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, libjfreechart-java,
 libjdom1-java, libjas-java, libjlatexmath-java
Standards-Version: 3.9.2
Homepage: http://mathrider.org/
Vcs-Git: git://git.debian.org/git/pkg-java/mathpiper.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/mathpiper.git

Package: mathpiper
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Description: Java Computer Algebra System
 Mathpiper is a CAS (Computer Algebra System), written in Java. It is part
 of the mathrider suite, a mathematics computing environment for
 performing numeric and symbolic computations.
