=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jdom1.jar:/usr/share/java/jas.jar:/usr/share/java/jfreechart.jar:/usr/share/java/jlatexmath.jar

%:
	dh $@ --with javahelper

# Avoid the default build.xml and its ant dependency
override_dh_auto_build:
	true

override_dh_auto_clean:
	true
