## mathpiper 0.81f+svn4469+dfsg3

=== debian/changelog ===
mathpiper (0.81f+svn4469+dfsg3-4) unstable; urgency=medium

  * Team upload.

  [ Giovanni Mascellani ]
  * Make build reproducible.

  [ Andreas Tille ]
  * d/README.source: Do not mention quilt
  * Secure URI in Homepage
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2025 19:12:38 +0100

mathpiper (0.81f+svn4469+dfsg3-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:02:24 +0100

mathpiper (0.81f+svn4469+dfsg3-3) unstable; urgency=low

  * Upload to unstable.
  * Fix some lintian warnings.
    + Bump Standards-Version to 3.9.4 (no changes required).
  * Cosmetic changes to debian/copyright.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 21 May 2013 10:33:14 +0200

mathpiper (0.81f+svn4469+dfsg3-2) experimental; urgency=low

  * Fix upstream URL (closes: #698899).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 11 Mar 2013 21:53:32 +0100

mathpiper (0.81f+svn4469+dfsg3-1) unstable; urgency=low

  * Add Lisp scripts from mpreduce, needed to execute Reduce
    algorithms.
  * Do not compile Javadoc, which is discarded anyway.

 -- Giovanni Mascellani <gio@debian.org>  Sat, 03 Mar 2012 00:21:04 +0100
