=== debian/control ===
Source: mathpiper
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               default-jdk,
               libjfreechart-java,
               libjdom1-java,
               libjas-java,
               libjlatexmath-java
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/mathpiper
Vcs-Git: https://salsa.debian.org/java-team/mathpiper.git
Homepage: https://www.mathpiper.org/

Package: mathpiper
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends}
Description: Java Computer Algebra System
 Mathpiper is a CAS (Computer Algebra System), written in Java. It is part
 of the mathrider suite, a mathematics computing environment for
 performing numeric and symbolic computations.
