=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,11 @@
 	true
 
 override_dh_auto_clean:
-	true
+	rm -f reduceimg.log default.img
+
+override_jh_build:
+	jh_build -N
+
+	# Compile the Lisp scripts and put them into the JAR
+	CLASSPATH=$$CLASSPATH:./mathpiper.jar java -Xmx300M -Xms300M -Xss8M org.mathpiper.mpreduce.Jlisp -w -v -z -o default.img lib/build_scripts/buildreduce.lsp -D@srcdir=lib/build_scripts -- reduceimg.log
+	jar uf mathpiper.jar default.img
